ranges::common_iterator< I, S > Struct Template Reference
Iterator

## Friends

variant< I, S > & | detail::cidata (common_iterator< I, S > &)
variant< I, S > const & | detail::cidata (common_iterator< I, S > const &)

## Public Types

using | difference_type = iter_difference_t< I >

## Public Member Functions

template<typename I2 , typename S2 >
CPP_TEMPLATE_AUX_0 | c (requires ` convertible_to< I2, I > &&convertible_to< S2, S >) cccommon_iterator(common_iterator< I2
| common_iterator (I i)
| common_iterator (S s)
CPP_TEMPLATE_AUX_0 S2 const | S ())

## Public Attributes

CPP_TEMPLATE_AUX_0 S2 const & | that: data_(detail::variant_core_access::make_empty<I